Skip to main content
`Ctrl`+`K`

# PetscFEIntegrateHybridResidual

Produce the element residual vector for a chunk of hybrid element faces by quadrature integration

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrateHybridResidual(PetscDS ds, PetscDS dsIn, PetscFormKey key, PetscInt s, PetscInt Ne, PetscFEGeom *fgeom, PetscFEGeom *cgeom, const PetscScalar coefficients[], const PetscScalar coefficients_t[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscReal t, PetscScalar elemVec[])

Not Collective

## Input Parameters

- ds - The `PetscDS` specifying the discretizations and continuum functions

- dsIn - The `PetscDS` specifying the discretizations and continuum functions for input

- key - The (label+value, field) being integrated

- s - The side of the cell being integrated, 0 for negative and 1 for positive

- Ne - The number of elements in the chunk

- fgeom - The face geometry for each cell in the chunk

- cgeom - The cell geometry for each neighbor cell in the chunk

- coefficients - The array of FEM basis coefficients for the elements

- coefficients_t - The array of FEM basis time derivative coefficients for the elements

- probAux - The `PetscDS` specifying the auxiliary discretizations

- coefficientsAux - The array of FEM auxiliary basis coefficients for the elements

- t - The time

## Output Parameter

- elemVec - the element residual vectors from each element

## See Also

`PetscFEIntegrateResidual()`

## Level

developer

## Location

src/dm/dt/fe/interface/fe.c

## Implementations

PetscFEIntegrateHybridResidual_Basic() in src/dm/dt/fe/impls/basic/febasic.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages